<?php

	include_once( PLOG_CLASS_PATH."class/dao/model.class.php" );
    include_once( PLOG_CLASS_PATH."class/bayesian/bayesianfiltercore.class.php" );
    include_once( PLOG_CLASS_PATH."class/dao/articles.class.php" );
    include_once( PLOG_CLASS_PATH."class/dao/articlecomments.class.php" );

    /**
     * \ingroup Bayesian
     *
     * some commodity functions have been included here such as making the filter
     * take all the comments from the blog and train the filter using those comments
     * as "good" raw material and so on. These functions do not really belong to the
     * core so I've put them here.
     */
    class BayesianFilterUtils extends Model
    {

    	function BayesianFilterUtils()
        {
        	$this->Model();
        }

        /**
         * marks all the articles from the given blog (or all of them
         * if blogId==0) as non-spam. This is good food for the
         * filter since then it knows which things should be allowed.
         *
         * @static
         * @param blogId The blog
         * @return Always true
         */
        function markArticlesAsNonSpam( $blogId = 0 )
        {
            die("is this even used!?");
        }

        /**
         * @private
         */
        function _getAllComments( $blogId = 0 )
        {
            die("is this even used!?");
        }

        /**
         * marks all the comments from the given blog (or all of them
         * if blogId==0) as non-spam. This is good food for the
         * filter since then it knows which things should be allowed.
         *
         * @static
         * @param blogId The blog
         * @return Always true
         */
        function markCommentsAsNonSpam( $blogId = 0 )
        {
            die("is this even used!?");        
        }
    }
?>